.PHONY += help
help:
	@echo -e "\nhelp: show this help page"
	@echo "clean: remove all running artifacts (pycache...)"
	@echo -e "mrproper: clean and remove all downloaded artifacts (venv, samples, .pt...)\n"

PHONY += clean
clean:
	@echo RM __pycache__
	@$(RM) -r $(shell find . -type d -name "__pycache__")

PHONY += mrproper
mrproper: clean
	@echo RM venv
	@$(RM) -r $(shell find . -type d -name "venv") $(shell find . -type d -name ".venv")
	@echo RM samples-8x8.json
	@$(RM) -r $(shell find . -type f -name "samples-8x8.json*")
	@echo RM *.pt
	@$(RM) -r $(shell find . -type f -name "*.pt")

.PHONY: $(PHONY)
